Subject: [Rats] Next step in processing the EAT early allocation request

From: Roman Danyliw <[email-masked]>
Date: Thu, 3 Mar 2022 03:02:23 +0000

Hi!

Summary: The WG has one more week to raise objections to early allocation in Section 9.3.1.  If there are none by 1300 UTC on Thursday, March 10, I will approve the early allocation request and get it sent to the DE/IANA for approval.

Details:
I would like to get decisive closure on the early allocations for EAT.  I'm also sensitive to the reminder from the DE to only register claims that are no longer if flux [1].  In recent weeks we have been discussing both removing and adding claims beyond those that were proposed for allocation [2] in -11.

The current version of the draft, -12, commingled the previous request with new claims for the following early allocation:

Nonce/10/"nonce"
UEID/256/"ueid"
+SUIDs/257/"sueids"
OEMID/258/"oemid"
Security Level/258/"seclevel"
+Hardware Model/259/"hwmodel"
+Hardware Version/260/"hwversion"
Secure Boot/262/"secboot"
Debug Status/263/"dbgstat"
Location/264/"location"
Profile/265/"eat_profile"
Submodules Section/266/"submods"

All of those claims without the "+" notation were previously requested and reviewed by the DE for early allocation based on -11 [2].  We had consensus for these in the first request, and it was confirmed again by the lack of objection in [3].  As a reminder, "seclevel" was in the -11 request but is now moved to Section 9.3.2 of -12 and will not be seeking early allocation.

Claims with the "+" notation arose after the -11 draft.  [4] asked for support for these claims and [5] for objections to be raised.  At the time (Feb 8) the new claims were not formally documented in a published draft for the WG to review.  With the -12 draft published on Feb 23, I'm going to asked the question again -- with the benefit of the text in a draft and the claims formally laid out, does anyone object to the early allocation in Section 9.3.1 (https://datatracker.ietf.org/doc/html/draft-ietf-rats-eat-12#section-9.3.2).  Please raise any concerns by 1300 UTC, Thursday, March 10, 2022.

As the way ahead, I want to get an early allocation request to IANA by the end of next week.

(a) If concerns are raised with the new claims noted with a "+", I'm going to strongly recommend the WG publish a new -13 which defers early allocation for them (leaving those from -11 less "seclevel").  A second request can be made after there is consensus.  I will approve draft publication in the "pre-IETF113 black-out period" if necessary.

(b) If no concerns are raised, early allocation from -12 will go to IANA. 

Regards,
Roman

[1] https://mailarchive.ietf.org/arch/msg/rats/pa7syMPTh3mOcSvGA6aTHRwwrYg/
[2] https://mailarchive.ietf.org/arch/msg/cwt-reg-review/Eyya7u9rR1XA5N0KcXiTfolAdTs/
[3] https://mailarchive.ietf.org/arch/msg/rats/y8z4WU9uy-dXXDYT_usBE2_s6q4/
[4] https://mailarchive.ietf.org/arch/msg/rats/5tePn2lq7wy-7cx5u-s0zJWbUDA/
[5] https://mailarchive.ietf.org/arch/msg/rats/FM_dBT7W51QMUaoxBBkEmJu-qZo/